Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
optimism
/
deposits
List deposits.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/optimism/deposits \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/optimism/deposits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/optimism/deposits', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "amount": "<string>",
      "block_hash": "<string>",
      "block_number": 123,
      "block_timestamp": "2023-11-07T05:31:56Z",
      "from_address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "index": 123,
      "pubkey": "<string>",
      "signature": "<string>",
      "status": {
        "finished_past_indexing": true
      },
      "transaction_hash": "<string>",
      "withdrawal_credentials": "<string>",
      "withdrawal_address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      }
    }
  ],
  "next_page_params": {
    "l1_block_number": 23937283,
    "transaction_hash": "0x5dc155c382d95353c5876e735d675d284e3b29b1379e5859dc35cfd4a1dd5188"
  }
}
{
  "errors": [
    {
      "detail": "null value where string expected",
      "source": {
        "pointer": "/data/attributes/petName"
      },
      "title": "Invalid value"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
l1_block_number
integer

L1 block number for paging

Required range: x >= 0
transaction_hash
string

Transaction hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$

Response

List of deposits.

items
Deposit · object[]
required
next_page_params
object | null
required
Example:
{
  "l1_block_number": 23937283,
  "transaction_hash": "0x5dc155c382d95353c5876e735d675d284e3b29b1379e5859dc35cfd4a1dd5188"
}